QGIS Application - Bug report #18518
QGIS Server 3 GetFeaturelnfo doesn't resolve value relations anymore
2018-03-23 07:01 AM - Tudor Barascu

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.1(master) Regression?: Yes
Operating System: Debian Buster Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26406
Description

QGIS Server should should return the "solved" values when doing GetFeaturelnfo on value relation and not the id's/keys.

Associated revisions

Revision eb0Obe331 - 2018-06-14 06:35 PM - Alessandro Pasotti

[bugdfix][server] Respect relations in getfeatureinfo

Fixes #18518

QGIS Server 3 GetFeaturelnfo doesn't resolve value relations anymore

History

#1 - 2018-03-23 08:00 AM - Kim Frankcombe

Tudor, | thought the same thing but found it off the side of my screen. Are you sure you are not seeing the same issue with the Identify Results window

opening with the Features column maximised and the Value off screen, right? Try dragging the Results window left and see if the values appear.

#2 - 2018-03-23 11:59 AM - Tudor Barascu

I'mo doing the request manually from terminal, so there's no client issue here. On a QGIS 2.18 server it works as it should.

| actually don't understand what are you suggesting to do.

E.g. For an integer column, let's say we have the column value 3 that when mapped to a table using value relation has the value "Functional". In

GetFeaturelnfo | get 3 instead of "Functional" --> | get the key and not the value.

| am not saying that | don't get any Return Value in order to search it in the side of the screen like you're suggesting, I'm saying that | don't get the expected

output.

Thanks for the info!

#3 - 2018-06-14 02:45 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2018-06-14 07:02 PM - Alessandro Pasotti
- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7244

#5 - 2018-06-18 08:06 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|eb0be3317829567ef164eff03302e4a3556¢17¢7.

2025-04-27 22


https://github.com/qgis/QGIS/pull/7244

